# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'ParetoLib/GUI/Window.ui'
#
# Created by: PyQt5 UI code generator 5.15.7
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1053, 796)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.centralwidget.sizePolicy().hasHeightForWidth())
        self.centralwidget.setSizePolicy(sizePolicy)
        self.centralwidget.setObjectName("centralwidget")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.centralwidget)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.left_verticalLayout = QtWidgets.QVBoxLayout()
        self.left_verticalLayout.setObjectName("left_verticalLayout")
        self.input_files_groupBox = QtWidgets.QGroupBox(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.input_files_groupBox.sizePolicy().hasHeightForWidth())
        self.input_files_groupBox.setSizePolicy(sizePolicy)
        self.input_files_groupBox.setMaximumSize(QtCore.QSize(16777215, 480))
        self.input_files_groupBox.setObjectName("input_files_groupBox")
        self.formLayout = QtWidgets.QFormLayout(self.input_files_groupBox)
        self.formLayout.setObjectName("formLayout")
        self.spec_label = QtWidgets.QLabel(self.input_files_groupBox)
        self.spec_label.setObjectName("spec_label")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.spec_label)
        self.signal_label = QtWidgets.QLabel(self.input_files_groupBox)
        self.signal_label.setObjectName("signal_label")
        self.formLayout.setWidget(3, QtWidgets.QFormLayout.LabelRole, self.signal_label)
        self.param_label = QtWidgets.QLabel(self.input_files_groupBox)
        self.param_label.setObjectName("param_label")
        self.formLayout.setWidget(6, QtWidgets.QFormLayout.LabelRole, self.param_label)
        self.open_spec_file_button = QtWidgets.QPushButton(self.input_files_groupBox)
        self.open_spec_file_button.setObjectName("open_spec_file_button")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.open_spec_file_button)
        self.open_signal_file_button = QtWidgets.QPushButton(self.input_files_groupBox)
        self.open_signal_file_button.setObjectName("open_signal_file_button")
        self.formLayout.setWidget(3, QtWidgets.QFormLayout.FieldRole, self.open_signal_file_button)
        self.open_param_file_button = QtWidgets.QPushButton(self.input_files_groupBox)
        self.open_param_file_button.setObjectName("open_param_file_button")
        self.formLayout.setWidget(6, QtWidgets.QFormLayout.FieldRole, self.open_param_file_button)
        self.param_filepath_textbox = QtWidgets.QPlainTextEdit(self.input_files_groupBox)
        self.param_filepath_textbox.setAcceptDrops(True)
        self.param_filepath_textbox.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.param_filepath_textbox.setLineWrapMode(QtWidgets.QPlainTextEdit.WidgetWidth)
        self.param_filepath_textbox.setReadOnly(True)
        self.param_filepath_textbox.setPlainText("")
        self.param_filepath_textbox.setBackgroundVisible(False)
        self.param_filepath_textbox.setObjectName("param_filepath_textbox")
        self.formLayout.setWidget(8, QtWidgets.QFormLayout.SpanningRole, self.param_filepath_textbox)
        self.signal_filepath_textbox = QtWidgets.QPlainTextEdit(self.input_files_groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.signal_filepath_textbox.sizePolicy().hasHeightForWidth())
        self.signal_filepath_textbox.setSizePolicy(sizePolicy)
        self.signal_filepath_textbox.setAcceptDrops(True)
        self.signal_filepath_textbox.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.signal_filepath_textbox.setLineWrapMode(QtWidgets.QPlainTextEdit.WidgetWidth)
        self.signal_filepath_textbox.setReadOnly(True)
        self.signal_filepath_textbox.setPlainText("")
        self.signal_filepath_textbox.setBackgroundVisible(False)
        self.signal_filepath_textbox.setObjectName("signal_filepath_textbox")
        self.formLayout.setWidget(5, QtWidgets.QFormLayout.SpanningRole, self.signal_filepath_textbox)
        self.spec_filepath_textbox = QtWidgets.QPlainTextEdit(self.input_files_groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.spec_filepath_textbox.sizePolicy().hasHeightForWidth())
        self.spec_filepath_textbox.setSizePolicy(sizePolicy)
        self.spec_filepath_textbox.setAcceptDrops(True)
        self.spec_filepath_textbox.setLayoutDirection(QtCore.Qt.LeftToRight)
        self.spec_filepath_textbox.setLineWrapMode(QtWidgets.QPlainTextEdit.WidgetWidth)
        self.spec_filepath_textbox.setReadOnly(True)
        self.spec_filepath_textbox.setPlainText("")
        self.spec_filepath_textbox.setBackgroundVisible(False)
        self.spec_filepath_textbox.setObjectName("spec_filepath_textbox")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.SpanningRole, self.spec_filepath_textbox)
        self.left_verticalLayout.addWidget(self.input_files_groupBox, 0, QtCore.Qt.AlignLeft|QtCore.Qt.AlignTop)
        self.param_tableWidget = QtWidgets.QTableWidget(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.param_tableWidget.sizePolicy().hasHeightForWidth())
        self.param_tableWidget.setSizePolicy(sizePolicy)
        self.param_tableWidget.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.param_tableWidget.setSizeAdjustPolicy(QtWidgets.QAbstractScrollArea.AdjustToContents)
        self.param_tableWidget.setObjectName("param_tableWidget")
        self.param_tableWidget.setColumnCount(3)
        self.param_tableWidget.setRowCount(0)
        item = QtWidgets.QTableWidgetItem()
        self.param_tableWidget.setHorizontalHeaderItem(0, item)
        item = QtWidgets.QTableWidgetItem()
        self.param_tableWidget.setHorizontalHeaderItem(1, item)
        item = QtWidgets.QTableWidgetItem()
        self.param_tableWidget.setHorizontalHeaderItem(2, item)
        self.param_tableWidget.horizontalHeader().setMinimumSectionSize(15)
        self.param_tableWidget.horizontalHeader().setStretchLastSection(False)
        self.left_verticalLayout.addWidget(self.param_tableWidget, 0, QtCore.Qt.AlignLeft|QtCore.Qt.AlignVCenter)
        self.options_groupBox = QtWidgets.QGroupBox(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.options_groupBox.sizePolicy().hasHeightForWidth())
        self.options_groupBox.setSizePolicy(sizePolicy)
        self.options_groupBox.setAlignment(QtCore.Qt.AlignBottom|QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft)
        self.options_groupBox.setObjectName("options_groupBox")
        self.gridLayout = QtWidgets.QGridLayout(self.options_groupBox)
        self.gridLayout.setObjectName("gridLayout")
        self.mining_comboBox = QtWidgets.QComboBox(self.options_groupBox)
        self.mining_comboBox.setObjectName("mining_comboBox")
        self.mining_comboBox.addItem("")
        self.mining_comboBox.addItem("")
        self.mining_comboBox.addItem("")
        self.gridLayout.addWidget(self.mining_comboBox, 1, 1, 1, 1, QtCore.Qt.AlignRight)
        self.param_stl_selection_comboBox = QtWidgets.QComboBox(self.options_groupBox)
        self.param_stl_selection_comboBox.setObjectName("param_stl_selection_comboBox")
        self.param_stl_selection_comboBox.addItem("")
        self.param_stl_selection_comboBox.addItem("")
        self.gridLayout.addWidget(self.param_stl_selection_comboBox, 5, 0, 1, 1, QtCore.Qt.AlignLeft)
        self.mining_label_2 = QtWidgets.QLabel(self.options_groupBox)
        self.mining_label_2.setObjectName("mining_label_2")
        self.gridLayout.addWidget(self.mining_label_2, 6, 0, 1, 1)
        self.type_search_label = QtWidgets.QLabel(self.options_groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.type_search_label.sizePolicy().hasHeightForWidth())
        self.type_search_label.setSizePolicy(sizePolicy)
        self.type_search_label.setObjectName("type_search_label")
        self.gridLayout.addWidget(self.type_search_label, 3, 1, 1, 1)
        self.param_stl_selection_label = QtWidgets.QLabel(self.options_groupBox)
        self.param_stl_selection_label.setObjectName("param_stl_selection_label")
        self.gridLayout.addWidget(self.param_stl_selection_label, 3, 0, 1, 1, QtCore.Qt.AlignLeft)
        self.search_type_comboBox = QtWidgets.QComboBox(self.options_groupBox)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.search_type_comboBox.sizePolicy().hasHeightForWidth())
        self.search_type_comboBox.setSizePolicy(sizePolicy)
        self.search_type_comboBox.setSizeAdjustPolicy(QtWidgets.QComboBox.AdjustToContents)
        self.search_type_comboBox.setIconSize(QtCore.QSize(16, 16))
        self.search_type_comboBox.setObjectName("search_type_comboBox")
        self.search_type_comboBox.addItem("")
        self.search_type_comboBox.addItem("")
        self.gridLayout.addWidget(self.search_type_comboBox, 4, 1, 2, 1)
        self.mining_label = QtWidgets.QLabel(self.options_groupBox)
        self.mining_label.setObjectName("mining_label")
        self.gridLayout.addWidget(self.mining_label, 0, 1, 1, 1)
        self.opt_level_comboBox = QtWidgets.QComboBox(self.options_groupBox)
        self.opt_level_comboBox.setObjectName("opt_level_comboBox")
        self.opt_level_comboBox.addItem("")
        self.opt_level_comboBox.addItem("")
        self.gridLayout.addWidget(self.opt_level_comboBox, 7, 0, 1, 1)
        self.interpolation_comboBox = QtWidgets.QComboBox(self.options_groupBox)
        self.interpolation_comboBox.setObjectName("interpolation_comboBox")
        self.interpolation_comboBox.addItem("")
        self.interpolation_comboBox.addItem("")
        self.gridLayout.addWidget(self.interpolation_comboBox, 1, 0, 1, 1, QtCore.Qt.AlignLeft)
        self.interpolation_label = QtWidgets.QLabel(self.options_groupBox)
        self.interpolation_label.setObjectName("interpolation_label")
        self.gridLayout.addWidget(self.interpolation_label, 0, 0, 1, 1)
        self.left_verticalLayout.addWidget(self.options_groupBox)
        self.pareto_execution_button = QtWidgets.QPushButton(self.centralwidget)
        self.pareto_execution_button.setObjectName("pareto_execution_button")
        self.left_verticalLayout.addWidget(self.pareto_execution_button, 0, QtCore.Qt.AlignRight|QtCore.Qt.AlignBottom)
        self.horizontalLayout.addLayout(self.left_verticalLayout)
        self.right_verticalLayout = QtWidgets.QVBoxLayout()
        self.right_verticalLayout.setObjectName("right_verticalLayout")
        self.signal_groupBox = QtWidgets.QGroupBox(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.signal_groupBox.sizePolicy().hasHeightForWidth())
        self.signal_groupBox.setSizePolicy(sizePolicy)
        self.signal_groupBox.setSizeIncrement(QtCore.QSize(1, 1))
        self.signal_groupBox.setObjectName("signal_groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.signal_groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.signal_layout = QtWidgets.QVBoxLayout()
        self.signal_layout.setObjectName("signal_layout")
        self.verticalLayout.addLayout(self.signal_layout)
        self.right_verticalLayout.addWidget(self.signal_groupBox)
        self.formula_groupBox = QtWidgets.QGroupBox(self.centralwidget)
        self.formula_groupBox.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.formula_groupBox.sizePolicy().hasHeightForWidth())
        self.formula_groupBox.setSizePolicy(sizePolicy)
        self.formula_groupBox.setObjectName("formula_groupBox")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.formula_groupBox)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.formula_textEdit = QtWidgets.QPlainTextEdit(self.formula_groupBox)
        self.formula_textEdit.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.formula_textEdit.sizePolicy().hasHeightForWidth())
        self.formula_textEdit.setSizePolicy(sizePolicy)
        self.formula_textEdit.setReadOnly(True)
        self.formula_textEdit.setPlainText("")
        self.formula_textEdit.setObjectName("formula_textEdit")
        self.verticalLayout_5.addWidget(self.formula_textEdit)
        self.right_verticalLayout.addWidget(self.formula_groupBox, 0, QtCore.Qt.AlignBottom)
        self.horizontalLayout.addLayout(self.right_verticalLayout)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 1053, 20))
        self.menubar.setObjectName("menubar")
        self.menuCreate = QtWidgets.QMenu(self.menubar)
        self.menuCreate.setObjectName("menuCreate")
        self.menuOpen = QtWidgets.QMenu(self.menubar)
        self.menuOpen.setObjectName("menuOpen")
        self.menuSave_project = QtWidgets.QMenu(self.menubar)
        self.menuSave_project.setObjectName("menuSave_project")
        self.menuClassification = QtWidgets.QMenu(self.menubar)
        self.menuClassification.setObjectName("menuClassification")
        MainWindow.setMenuBar(self.menubar)
        self.statusbar = QtWidgets.QStatusBar(MainWindow)
        self.statusbar.setObjectName("statusbar")
        MainWindow.setStatusBar(self.statusbar)
        self.new_project_button = QtWidgets.QAction(MainWindow)
        self.new_project_button.setObjectName("new_project_button")
        self.load_project_button = QtWidgets.QAction(MainWindow)
        self.load_project_button.setObjectName("load_project_button")
        self.save_project_button = QtWidgets.QAction(MainWindow)
        self.save_project_button.setObjectName("save_project_button")
        self.save_as_button = QtWidgets.QAction(MainWindow)
        self.save_as_button.setObjectName("save_as_button")
        self.actionIdentify_champion = QtWidgets.QAction(MainWindow)
        self.actionIdentify_champion.setObjectName("actionIdentify_champion")
        self.menuCreate.addAction(self.new_project_button)
        self.menuOpen.addAction(self.load_project_button)
        self.menuSave_project.addAction(self.save_project_button)
        self.menuClassification.addAction(self.actionIdentify_champion)
        self.menubar.addAction(self.menuCreate.menuAction())
        self.menubar.addAction(self.menuOpen.menuAction())
        self.menubar.addAction(self.menuSave_project.menuAction())
        self.menubar.addAction(self.menuClassification.menuAction())

        self.retranslateUi(MainWindow)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "ParetoLib"))
        self.input_files_groupBox.setTitle(_translate("MainWindow", "Input Files"))
        self.spec_label.setText(_translate("MainWindow", "STL specification"))
        self.signal_label.setText(_translate("MainWindow", "Input signal"))
        self.param_label.setText(_translate("MainWindow", "Parameters"))
        self.open_spec_file_button.setText(_translate("MainWindow", "Open"))
        self.open_signal_file_button.setText(_translate("MainWindow", "Open"))
        self.open_param_file_button.setText(_translate("MainWindow", "Open"))
        item = self.param_tableWidget.horizontalHeaderItem(0)
        item.setText(_translate("MainWindow", "param"))
        item = self.param_tableWidget.horizontalHeaderItem(1)
        item.setText(_translate("MainWindow", "min"))
        item = self.param_tableWidget.horizontalHeaderItem(2)
        item.setText(_translate("MainWindow", "max"))
        self.options_groupBox.setTitle(_translate("MainWindow", "Options"))
        self.mining_comboBox.setCurrentText(_translate("MainWindow", "BBMJ19"))
        self.mining_comboBox.setItemText(0, _translate("MainWindow", "BBMJ19"))
        self.mining_comboBox.setItemText(1, _translate("MainWindow", "BDMJ20"))
        self.mining_comboBox.setItemText(2, _translate("MainWindow", "BMNN22"))
        self.param_stl_selection_comboBox.setItemText(0, _translate("MainWindow", "No"))
        self.param_stl_selection_comboBox.setItemText(1, _translate("MainWindow", "Yes"))
        self.mining_label_2.setText(_translate("MainWindow", "Opt level"))
        self.type_search_label.setText(_translate("MainWindow", "Type Search"))
        self.param_stl_selection_label.setText(_translate("MainWindow", "Parametric STL"))
        self.search_type_comboBox.setItemText(0, _translate("MainWindow", "Parallel"))
        self.search_type_comboBox.setItemText(1, _translate("MainWindow", "Sequential"))
        self.mining_label.setText(_translate("MainWindow", "Mining method"))
        self.opt_level_comboBox.setItemText(0, _translate("MainWindow", "0 - Fixed size cells"))
        self.opt_level_comboBox.setItemText(1, _translate("MainWindow", "1 - Adaptative cells"))
        self.interpolation_comboBox.setItemText(0, _translate("MainWindow", "Constant"))
        self.interpolation_comboBox.setItemText(1, _translate("MainWindow", "Linear"))
        self.interpolation_label.setText(_translate("MainWindow", "Interpolation"))
        self.pareto_execution_button.setText(_translate("MainWindow", "Run"))
        self.signal_groupBox.setTitle(_translate("MainWindow", "Signal"))
        self.formula_groupBox.setTitle(_translate("MainWindow", "Formula"))
        self.menuCreate.setTitle(_translate("MainWindow", "Create"))
        self.menuOpen.setTitle(_translate("MainWindow", "Open"))
        self.menuSave_project.setTitle(_translate("MainWindow", "Save project"))
        self.menuClassification.setTitle(_translate("MainWindow", "Classification"))
        self.new_project_button.setText(_translate("MainWindow", "New project"))
        self.load_project_button.setText(_translate("MainWindow", "Load project"))
        self.save_project_button.setText(_translate("MainWindow", "Save"))
        self.save_as_button.setText(_translate("MainWindow", "Save as..."))
        self.actionIdentify_champion.setText(_translate("MainWindow", "Identify champion"))


if __name__ == "__main__":
    import sys
    app = QtWidgets.QApplication(sys.argv)
    MainWindow = QtWidgets.QMainWindow()
    ui = Ui_MainWindow()
    ui.setupUi(MainWindow)
    MainWindow.show()
    sys.exit(app.exec_())
